<template>
  <button :class="styleType + ' base-button'">
    <slot> </slot>
  </button>
</template>

<script lang="ts">
import Vue from "vue";
export default Vue.extend({
  props: {
    styleType: String,
    default: function() {
      return "primary";
    }
  }
});
</script>

<style scoped>
.primary {
  background: var(--primary);
}

.primary:hover {
  background: var(--primary-light);
}

.primary-dark {
  background: var(--primary-dark);
}

.primary-dark:hover {
  background: var(--primary-light);
}

.primary-light {
  background: var(--primary-light);
}

.primary-light:hover {
  background: var(--primary);
}
.secondary {
  background: var(--secondary);
  color: #ffffff;
}

.secondary:hover {
  background: var(--secondary-light);
}
.secondary-dark {
  background: var(--secondary-dark);
  color: #ffffff;
}

.secondary-dark:hover {
  background: var(--secondary-light);
}

.secondary-light {
  background: var(--secondary-light);
  color: #ffffff;
}

.secondary-light:hover {
  background: var(--secondary);
}

.base-button {
  padding: 1em;
  border-radius: 15px;
  transition: 0.1s;
  border: none;
}

.base-button:focus {
  outline: none;
}
</style>
